View Issue Details

IDProjectCategoryView StatusLast Update
0016504CentOS-8libsmipublic2020-02-12 20:30
ReporterMarcus Sundberg 
PrioritynormalSeverityminorReproducibilityN/A
Status assignedResolutionopen 
Platformx86_64OSOS Version
Product Version 
Target VersionFixed in Version 
Summary0016504: libsmi-devel and libsmi-debuginfo not available in CentOS 8
DescriptionThe libsmi-debuginfo package is not available from debuginfo.centos.org and the libsmi-devel package is nowhere to be found (except on https://koji.mbox.centos.org/koji/buildinfo?buildID=1215 but it's not downloadable for mortals from there).
TagsNo tags attached.

Relationships

related to 0016492 assignedbstinson No libssh2-devel package 

Activities

ebacon

ebacon

2019-10-01 12:33

reporter   ~0035281

There seems to be a number of packages missing. For me, I was looking for postgresql-devel (or possibly libecpg-devel). Since dnf provides "*bin/ecpg" returns no match, I thought I would try to build from source, which leads to unavailable packages: docbook-utils, elinks, help2man, and uuid-devel. I'm not sure if this should be reported as a separate issue, or bundled in with this one, as it seems like its related
Marcus Sundberg

Marcus Sundberg

2019-10-02 12:17

reporter   ~0035294

ipset-devel is also missing, and I'm sure there are lots more... A simple solution would be to dump all built packages that are not included in the normal repos in a separate repo somewhere so they are at least available, regardless of how the upstream vendor will handle these missing packages.
bstinson

bstinson

2020-02-12 15:51

administrator   ~0036276

Can you say a little more about what you're building (outside of the CentOS distribution) that requires each of these packages?
ebacon

ebacon

2020-02-12 20:01

reporter   ~0036278

In our case, we have an application that has been running since at least RedHat9 (zoot) days that uses ecpg, which is PostgreSQL's version of Oracle's PRO*C. I can see that packages exist in all the current fedora releases for libecpg-devel, and it looks like the packages are available on RHEL8 and they even seem to be in the CentOS developer area. They just didn't get pushed down into the release. Until this gets resolved, I can't port my application forward to CentOS8. With CentOS 6 reaching EOL in a few months and CentOS7 slipping into Maintenance mode in August, moving forward to a Linux distribution that wont fall afoul of GDPR or PCI issues is important. If we can't continue to develop on CentOS, we'll have to move on to another distribution.
Marcus Sundberg

Marcus Sundberg

2020-02-12 20:30

reporter   ~0036279

We have a proprietary application using libsmi to parse MIB files.

Not that I see how it matters? The packages are already built, so you just have to make them downloadable from Koji. All packages, even intermediate builds, was downloadable from the CentOS 7 build bot.

Issue History

Date Modified Username Field Change
2019-10-01 07:17 Marcus Sundberg New Issue
2019-10-01 07:24 arrfab Project CentOS-7 => CentOS-8
2019-10-01 07:24 arrfab Status new => acknowledged
2019-10-01 12:33 ebacon Note Added: 0035281
2019-10-02 12:17 Marcus Sundberg Note Added: 0035294
2020-02-12 15:51 bstinson Status acknowledged => feedback
2020-02-12 15:51 bstinson Note Added: 0036276
2020-02-12 18:25 toracat Relationship added related to 0016492
2020-02-12 20:01 ebacon Note Added: 0036278
2020-02-12 20:30 Marcus Sundberg Note Added: 0036279
2020-02-12 20:30 Marcus Sundberg Status feedback => assigned